package com.xwkj.jcjcgz.mvp.model.entity;

import java.util.List;

public class BusEntity {

    /**
     * code : 200
     * data : {"dataList":[{"fieldValues":[{"field":"data","value":"[{\"HH\":\"006199941\",\"SWRQ\":\"\",\"SJGSDWMC\":\"德惠市同太派出所\",\"ZZMMDM\":\"\",\"HLXDM\":\"10\",\"SQJCWHMC\":\"220183202013005\",\"XPurl\":\"http://10.107.1.198:5555/jlyqfk/static/idCardImg/220183199210222612.png.png\",\"DZMC\":\"同太乡西二道村后徐家屯7组\",\"ZH_SLSJ\":\"\",\"GZRYBZ\":\"\",\"MZDM\":\"\",\"ZH_GXSJ\":\"\",\"SSSXQ\":\"220100\",\"XZZ_MLPH\":\"\",\"CYM\":\"\",\"SLSJ\":\"20120817155421\",\"ZXRQ\":\"\",\"YHZGXDM\":\"22\",\"WFRYBZ\":\"\",\"SJJZDXX_DZMC\":\"\",\"XZZ_MLXXDZ\":\"\",\"XBDM\":\"1\",\"ZZCS\":\"\",\"HJDZ_DZMC\":\"\",\"FWCS\":\"同太乡西二道村小学\",\"XJGAJG_GAJGMC\":\"\",\"GZDXBZ\":\"\",\"HYZKDM\":\"10\",\"RYZT\":\"0\",\"SZZWBH\":\"\",\"ZJXYDM\":\"\",\"XB\":\"\",\"MZ\":\"\",\"BMCH\":\"\",\"CSRQ\":\"19921022\",\"HJDZ_XZQHDM\":\"220183\",\"LXDH\":\"\",\"gz\":\"\",\"GMSFHM\":\"220183199210222612\",\"XM\":\"杨磊\",\"ZP\":\"\",\"SSPCSMC\":\"\",\"SJJZDDDPCS_ZZJGDM\":\"\",\"JG_DZMC\":\"\"}]"}]}],"page":{"pageNo":1,"pageSize":1,"total":1}}
     * message : OK
     * messageId : 87582504-064b-42c1-893e-148f1e087b72
     * version : 1.0
     */

    private String code;
    private DataBean data;
    private String message;
    private String messageId;
    private String version;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getMessageId() {
        return messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public static class DataBean {
        /**
         * dataList : [{"fieldValues":[{"field":"data","value":"[{\"HH\":\"006199941\",\"SWRQ\":\"\",\"SJGSDWMC\":\"德惠市同太派出所\",\"ZZMMDM\":\"\",\"HLXDM\":\"10\",\"SQJCWHMC\":\"220183202013005\",\"XPurl\":\"http://10.107.1.198:5555/jlyqfk/static/idCardImg/220183199210222612.png.png\",\"DZMC\":\"同太乡西二道村后徐家屯7组\",\"ZH_SLSJ\":\"\",\"GZRYBZ\":\"\",\"MZDM\":\"\",\"ZH_GXSJ\":\"\",\"SSSXQ\":\"220100\",\"XZZ_MLPH\":\"\",\"CYM\":\"\",\"SLSJ\":\"20120817155421\",\"ZXRQ\":\"\",\"YHZGXDM\":\"22\",\"WFRYBZ\":\"\",\"SJJZDXX_DZMC\":\"\",\"XZZ_MLXXDZ\":\"\",\"XBDM\":\"1\",\"ZZCS\":\"\",\"HJDZ_DZMC\":\"\",\"FWCS\":\"同太乡西二道村小学\",\"XJGAJG_GAJGMC\":\"\",\"GZDXBZ\":\"\",\"HYZKDM\":\"10\",\"RYZT\":\"0\",\"SZZWBH\":\"\",\"ZJXYDM\":\"\",\"XB\":\"\",\"MZ\":\"\",\"BMCH\":\"\",\"CSRQ\":\"19921022\",\"HJDZ_XZQHDM\":\"220183\",\"LXDH\":\"\",\"gz\":\"\",\"GMSFHM\":\"220183199210222612\",\"XM\":\"杨磊\",\"ZP\":\"\",\"SSPCSMC\":\"\",\"SJJZDDDPCS_ZZJGDM\":\"\",\"JG_DZMC\":\"\"}]"}]}]
         * page : {"pageNo":1,"pageSize":1,"total":1}
         */

        private PageBean page;
        private List<DataListBean> dataList;

        public PageBean getPage() {
            return page;
        }

        public void setPage(PageBean page) {
            this.page = page;
        }

        public List<DataListBean> getDataList() {
            return dataList;
        }

        public void setDataList(List<DataListBean> dataList) {
            this.dataList = dataList;
        }

        public static class PageBean {
            /**
             * pageNo : 1
             * pageSize : 1
             * total : 1
             */

            private int pageNo;
            private int pageSize;
            private int total;

            public int getPageNo() {
                return pageNo;
            }

            public void setPageNo(int pageNo) {
                this.pageNo = pageNo;
            }

            public int getPageSize() {
                return pageSize;
            }

            public void setPageSize(int pageSize) {
                this.pageSize = pageSize;
            }

            public int getTotal() {
                return total;
            }

            public void setTotal(int total) {
                this.total = total;
            }
        }

        public static class DataListBean {
            private List<FieldValuesBean> fieldValues;

            public List<FieldValuesBean> getFieldValues() {
                return fieldValues;
            }

            public void setFieldValues(List<FieldValuesBean> fieldValues) {
                this.fieldValues = fieldValues;
            }

            public static class FieldValuesBean {
                /**
                 * field : data
                 * value : [{"HH":"006199941","SWRQ":"","SJGSDWMC":"德惠市同太派出所","ZZMMDM":"","HLXDM":"10","SQJCWHMC":"220183202013005","XPurl":"http://10.107.1.198:5555/jlyqfk/static/idCardImg/220183199210222612.png.png","DZMC":"同太乡西二道村后徐家屯7组","ZH_SLSJ":"","GZRYBZ":"","MZDM":"","ZH_GXSJ":"","SSSXQ":"220100","XZZ_MLPH":"","CYM":"","SLSJ":"20120817155421","ZXRQ":"","YHZGXDM":"22","WFRYBZ":"","SJJZDXX_DZMC":"","XZZ_MLXXDZ":"","XBDM":"1","ZZCS":"","HJDZ_DZMC":"","FWCS":"同太乡西二道村小学","XJGAJG_GAJGMC":"","GZDXBZ":"","HYZKDM":"10","RYZT":"0","SZZWBH":"","ZJXYDM":"","XB":"","MZ":"","BMCH":"","CSRQ":"19921022","HJDZ_XZQHDM":"220183","LXDH":"","gz":"","GMSFHM":"220183199210222612","XM":"杨磊","ZP":"","SSPCSMC":"","SJJZDDDPCS_ZZJGDM":"","JG_DZMC":""}]
                 */

                private String field;
                private String value;

                public String getField() {
                    return field;
                }

                public void setField(String field) {
                    this.field = field;
                }

                public String getValue() {
                    return value;
                }

                public void setValue(String value) {
                    this.value = value;
                }
            }
        }
    }
}
